%define anolis_release 1
Name:           deepin-desktop-schemas
Version:        5.10.11
Release:        1.%{anolis_release}%{?dist}
Summary:        GSettings deepin desktop-wide schemas
License:        GPLv3
URL:            https://github.com/linuxdeepin/deepin-desktop-schemas
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Provides:       deepin-default-gsettings
Obsoletes:      deepin-default-gsettings

BuildArch:      noarch
BuildRequires:  python3
BuildRequires:  glib2
BuildRequires:  compiler(go-compiler)
BuildRequires:  golang
BuildRequires:  go-lib-devel
BuildRequires:  deepin-desktop-base

Requires:       deepin-desktop-base

%description
%{summary}.

%prep
%autosetup -p1

# fix default background url
sed -i '/picture-uri/s|default_background.jpg|default.png|' \
    overrides/common/com.deepin.wrap.gnome.desktop.override
sed -i 's|python|python3|' Makefile tools/overrides.py

%build
export GOPATH=%{gopath}
%if "%{_arch}" == "aarch64"
%define  buildarch arm
%else
%define  buildarch x86
%endif
%make_build ARCH=%{buildarch}

%install
%make_install PREFIX=%{_prefix} ARCH=%{buildarch}
cp %{buildroot}/usr/share/deepin-desktop-schemas/server-override %{buildroot}/usr/share/glib-2.0/schemas/91_deepin_product.gschema.override

%check
make test

%post
data_dir=/usr/share/deepin-desktop-schemas
gschemas_dir=/usr/share/glib-2.0/schemas
app_store_dir=/usr/share/deepin-app-store
app_store_ini_file=$app_store_dir/settings.ini
app_store_ini_file_pro=$app_store_dir/settings-pro.ini
app_store_ini_file_community=$app_store_dir/settings-community.ini
app_store_ini_file_personal=$app_store_dir/settings-personal.ini
SYSTYPE=$(grep Type= /etc/deepin-version|cut -d= -f 2)
product_override_file=$gschemas_dir/91_deepin_product.gschema.override
if [ -e $app_store_ini_file -a -L $app_store_ini_file ]; then
    # delete it if it is symbol link
    rm $app_store_ini_file
fi
case "$SYSTYPE" in
    Professional)
        ln -sf $data_dir/pro-override $product_override_file
        if [ ! -f $app_store_ini_file ]; then
            ln -sf $app_store_ini_file_pro $app_store_ini_file
        fi
    ;;
    Server)
        ln -sf $data_dir/server-override $product_override_file
        if [ ! -f $app_store_ini_file ]; then
            ln -sf $app_store_ini_file_pro $app_store_ini_file
        fi
    ;;
    Desktop)
        ln -sf $data_dir/desktop-override $product_override_file
        if [ ! -f $app_store_ini_file ]; then
            ln -sf $app_store_ini_file_community $app_store_ini_file
        fi
    ;;
   Personal)
        ln -sf $data_dir/personal-override $product_override_file
        if [ ! -f $app_store_ini_file ]; then
            ln -sf $app_store_ini_file_personal $app_store_ini_file
        fi
    ;;
esac

%files
%doc README.md
%license LICENSE
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/deepin-appstore/
%{_datadir}/deepin-app-store/
%{_datadir}/%{name}/


%changelog
* Tue Oct 31 2023 pangqing <pangqing@uniontech.com> - 5.10.11-1.1
- Fix build error

* Mon Jan 09 2023 liweiganga <liweiganga@uniontech.com> - 5.10.11-1
- update: update to 5.10.11

* Tue Jun 14 2022 uoser <uoser@uniontech.com> - 5.9.22-1.02
- update: update to 5.9.22-1.02
